## puppet 4.10.4

=== debian/changelog ===
puppet (4.10.4-2ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1702578). Remaining changes:
    - d/t/control: disable sysv-init tests as it does not exist on
      Ubuntu.
    - d/t/spec/puppet-master-passenger/zz_puppet3_compat_spec.rb:
      specify to curl that 'puppet' should not be proxied.
    - d/t/control: generate a certificate for puppet master if it does
      not already exist, as it is needed by the tests.
  * Drop:
    - d/p/0005-use-systemd-as-the-default-service-provider.path: also
      make systemd the default provider on Ubuntu.
      [ Fixed in Debian 4.10.4-1 ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 05 Jul 2017 15:23:47 -0700

puppet (4.10.4-2) unstable; urgency=medium

  * Set locale load path to /usr/share/puppet/locale (Closes: #866972)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 03 Jul 2017 17:23:23 +0300

puppet (4.10.4-1) unstable; urgency=medium

  * New upstream version; see
    https://docs.puppet.com/puppet/4.10/release_notes.html and
    https://docs.puppet.com/puppet/4.9/release_notes.html for more
    information.
  * Bump compat to 10 and B-D on debhelper (>= 10).
  * Bump Standards to 4.0.0; no changes needed.
  * Refresh the systemd service provider patch and use systemd as the default
    service provider in Ubuntu as well, to reduce delta with the Ubuntu
    packages.
  * Drop CVE-2017-2295.patch, fixed upstream.
  * Install locale data under /usr/share/puppet/locale.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 27 Jun 2017 16:20:34 +0300

puppet (4.8.2-5ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/0005-use-systemd-as-the-default-service-provider.path: also
      make systemd the default provider on Ubuntu.
    - d/t/control: disable sysv-init tests as it does not exist on
      Ubuntu.
    - d/t/spec/puppet-master-passenger/zz_puppet3_compat_spec.rb:
      specify to curl that 'puppet' should not be proxied.
    - d/t/control: generate a certificate for puppet master if it does
      not already exist, as it is needed by the tests.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 29 May 2017 10:55:15 -0700

puppet (4.8.2-3ubuntu2) zesty; urgency=medium

  * d/t/spec/puppet-master-passenger/zz_puppet3_compat_spec.rb: specify
    to curl that 'puppet' should not be proxied.
  * d/t/control: generate a certificate for puppet master if it does not
    already exist, as it is needed by the tests.
  * Drop:
    - d/t/spec/puppet-master/install_spec.rb: generate host certificate
      before attempting to use it. There is no guarantee the certificate
      exist in the autopkgtest environment.
    [ By generating the certificate if not present in d/t/control, we
      don't need to in the spec ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 23 Feb 2017 17:18:09 -0800

puppet (4.8.2-3ubuntu1) zesty; urgency=medium

  * d/p/0005-use-systemd-as-the-default-service-provider.path: also make
    systemd the default provider on Ubuntu. LP: #1570472
  * d/t/control: disable sysv-init tests as it does not exist on Ubuntu.
  * d/t/spec/puppet-master/install_spec.rb: generate host certificate
    before attempting to use it. There is no guarantee the certificate
    exist in the autopkgtest environment.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 17 Feb 2017 15:14:52 -0800
