=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Verbose mode
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	./install.rb --destdir=debian/tmp \
		--configdir=/etc/puppet \
		--codedir=/etc/puppet/code \
		--logdir=/var/log/puppet \
		--localedir=/usr/share/puppet/locale \
		--vardir=/var/cache/puppet \
		--sitelibdir=/usr/lib/ruby/vendor_ruby \
		--ruby=/usr/bin/ruby
	rm -vfr debian/tmp/usr/lib/ruby/vendor_ruby/puppet/vendor/rgen/
	rm -vfr debian/tmp/usr/lib/ruby/vendor_ruby/puppet/vendor/deep_merge/
	rm -vfr debian/tmp/usr/lib/ruby/vendor_ruby/puppet/vendor/pathspec/LICENSE

override_dh_install:
	dh_install --fail-missing -Xusr/share/man
	mv debian/puppet-master-passenger/usr/share/puppet-master-passenger/example-passenger-vhost.conf \
	  debian/puppet-master-passenger/usr/share/puppet-master-passenger/apache2.site.conf.tmpl

override_dh_installlogcheck:
	ln ext/logcheck/puppet debian/puppet-common.logcheck.ignore.server
	dh_installlogcheck

override_dh_installexamples:
	dh_installexamples
	find debian/puppet-common/usr/share/doc/puppet-common/examples -type f -print0 | \
	  xargs -r -0 chmod 644

override_dh_clean:
	dh_clean debian/puppet-common.logcheck.ignore.server metadata.yml

override_dh_systemd_enable:
	dh_systemd_enable -ppuppet --no-enable
	dh_systemd_enable --remaining-packages
