=== debian/tests/control ===
Test-Command: cd debian/tests && rspec spec/puppet/*_spec.rb
Depends: puppet,ruby-serverspec
Restrictions: needs-root,isolation-container

Test-Command: cd debian/tests && (puppet cert print $(hostname --fqdn) >/dev/null 2>&1 || puppet cert generate $(hostname --fqdn) --dns_alt_names=puppet) && rspec spec/puppet-master/*_spec.rb
Depends: puppet-master,ruby-serverspec
Restrictions: needs-root,isolation-container

Test-Command: cd debian/tests && rspec spec/puppet-master-passenger/*_spec.rb
Depends: puppet-master-passenger,ruby-serverspec,curl
Restrictions: needs-root,isolation-container

Test-Command: cd debian/tests && ./service-setup systemd && rspec spec/service-systemd/*_spec.rb
Depends: puppet, systemd-sysv, ruby-serverspec
Restrictions: needs-root, isolation-container

#Test-Command: cd debian/tests && ./service-setup sysvinit && rspec spec/service-sysvinit/*_spec.rb
#Depends: puppet, sysvinit-core, ruby-serverspec
#Restrictions: needs-root, isolation-container, needs-reboot
