## puppet 5.4.0

=== debian/changelog ===
puppet (5.4.0-2ubuntu3) bionic; urgency=medium

  * Revert:
    - Revert the Ubuntu delta. No changes left. 
      + DEP8 tests fail in the Ubuntu autopkgtest environment without
        the delta.
  * d/t/control: fix incorrect merge in 5.4.0-2ubuntu1:
    - Wrong test was generating the certificate.
    - Wrong tests were being run for puppet-master-passenger.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 19 Apr 2018 14:06:40 -0700

puppet (5.4.0-2ubuntu2) bionic; urgency=medium

  * Revert the Ubuntu delta. No changes left.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Apr 2018 00:03:24 +0200

puppet (5.4.0-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - d/t/control: disable sysv-init tests as it does not exist on
      Ubuntu.
    - d/t/spec/puppet-master-passenger/zz_puppet3_compat_spec.rb:
      specify to curl that 'puppet' should not be proxied.
    - d/t/control: generate a certificate for puppet master if it does
      not already exist, as it is needed by the tests.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Mar 2018 14:21:28 +0800

puppet (5.4.0-2) unstable; urgency=medium

  * Switch Vcs-* URLs to salsa
  * Ensure the package builds reproducibly.
    Patch by Chris Lamb, thanks! (Closes: #891263)
  * Add Breaks against ruby-gettext-setup (<< 0.17), see #892737 for details.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 13 Mar 2018 10:54:34 +0200

puppet (5.4.0-1) unstable; urgency=medium

  * New upstream release (closes: #889527, #890268); see
    https://docs.puppet.com/puppet/5.2/release_notes.html,
    https://docs.puppet.com/puppet/5.3/release_notes.html and
    https://docs.puppet.com/puppet/5.4/release_notes.html for more information
    + Refresh patches
    + Includes fixes for CVE-2017-10689 (closes: #890412) and CVE-2017-10690
      (closes: #890440)
  * Upload to unstable
  * Bump Standards-Version to 4.1.3; no changes needed
  * Bump dh compat level to 11
  * puppet: use update-rc.d defaults-disabled via dh_installinit
  * d/control: drop redundant Testsuite field
  * d/control: drop all Priority: extra references
  * d/control: drop obsolete dependencies on ruby-rgen and ruby-safe-yaml
  * d/watch: switch URL to https://
  * d/copyright: bump debian/ years
  * Regenerate the manpages on build (closes: #877066)
    + Build-Depend on yard and ruby-ronn
  * Remove Nigel from Uploaders. Thanks for your work!
  * autopkgtest: mark the sysvinit test as isolation-machine;
    isolation-container (at least with LXC) does not allow rebooting with a
    new init system.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 22 Feb 2018 23:45:43 +0200

puppet (5.1.0-1) experimental; urgency=medium

  * New upstream release; see
    https://docs.puppet.com/puppet/5.0/release_notes.html and
    https://docs.puppet.com/puppet/5.1/release_notes.html for more
    information.
    + Drop fix-puppet-master-logcheck-rule.patch
    + Refresh remaining patches
    + Do not install extlookup2hiera, it has been removed upstream
  * Suggest ruby-hocon for HOCON support in Hiera 5.
  * Bump Standards to 4.1.0; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 05 Sep 2017 15:19:10 +0300

puppet (4.10.4-2ubuntu3) bionic; urgency=medium

  * Fix duplicate oids, cherrypick upstream patch for OpenSSL 1.1 compat.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 16 Mar 2018 16:12:56 +0000

puppet (4.10.4-2ubuntu2) bionic; urgency=medium

  * debian/patches/ruby2.3.6_compat.patch: SSL behavior changed in ruby
    2.3.6.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 01 Feb 2018 19:30:33 -0800
