=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Micah Anderson <micah@debian.org>,
  Andrew Pollock <apollock@debian.org>,
- Nigel Kersten <nigel@explanatorygap.net>,
  Stig Sandbeck Mathisen <ssm@debian.org>,
  Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  facter,
  rake,
  hiera,
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-puppet/puppet.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-puppet/puppet.git
+ ruby-ronn,
+ yard,
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/puppet-team/puppet.git
+Vcs-Browser: https://salsa.debian.org/puppet-team/puppet
 Homepage: https://github.com/puppetlabs/puppet
-Testsuite: autopkgtest
 
 Package: puppet
 Architecture: all
@@ -26,21 +26,21 @@
  facter,
  ruby-augeas,
  hiera,
+ init-system-helpers (>= 1.50),
  lsb-base,
  ruby | ruby-interpreter,
  ruby-deep-merge,
- ruby-rgen,
- ruby-safe-yaml,
  ruby-shadow,
 Recommends:
  debconf-utils,
  lsb-release,
  ruby-selinux,
-Suggests: ruby-rrd
+Suggests: ruby-rrd, ruby-hocon
 Breaks: puppet-common (<< 4.5.1-1),
         puppetmaster-common (<< 4.4.2-1~),
         puppet-agent (<< 4.8.1-3~),
-        facter (<< 2.4.0~)
+        facter (<< 2.4.0~),
+        ruby-gettext-setup (<< 0.17)
 Replaces: puppet-common (<< 4.5.1-1),
         puppetmaster-common (<< 4.4.2-1~)
 Description: configuration management system
@@ -72,7 +72,6 @@
 
 Package: puppetmaster
 Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, puppet-master
 Description: configuration management system, master service - transitional package
@@ -100,7 +99,6 @@
 
 Package: puppetmaster-passenger
 Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, puppet-master-passenger
 Description: configuration management system, scalable master service - transitional package
@@ -110,7 +108,6 @@
 Package: puppet-common
 Depends: puppet, ${misc:Depends}
 Architecture: all
-Priority: extra
 Section: oldlibs
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
