=== debian/tests/control ===
--- 
+++ 
@@ -16,4 +16,4 @@
 
 #Test-Command: cd debian/tests && ./service-setup sysvinit && rspec spec/service-sysvinit/*_spec.rb
 #Depends: puppet, sysvinit-core, ruby-serverspec
-#Restrictions: needs-root, isolation-container, needs-reboot
+#Restrictions: needs-root, isolation-machine, needs-reboot
