=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://downloads.puppet.com/puppet/ puppet-([\d\.]+).tar.gz
