## puppet 5.5.10

=== debian/changelog ===
puppet (5.5.10-4ubuntu3) focal; urgency=medium

  * d/p/fix-ruby27-warning.patch: Add patch to fix a warning when executed
    with Ruby 2.7. It fixes an autopkgtest regression in ruby-puppet-syntax.
  * d/t/control: Add allow-stderr restriction to puppet master and puppet
    master passenger tests.
  * d/t/control: add 'puppet' to $no_proxy variable in puppet-master-passenger
    test to let tests make requests to puppet master running locally
    (LP: #1869265).

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Thu, 26 Mar 2020 18:27:14 -0300

puppet (5.5.10-4ubuntu2) focal; urgency=medium

  * d/t/control: generate a certificate for puppet master if it does not
    already exist, as it is needed by the tests (LP: #1869084).

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Wed, 25 Mar 2020 18:20:06 -0300

puppet (5.5.10-4ubuntu1) focal; urgency=medium

  * Add build and runtime dependency on ruby-sync (LP: #1866417).

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Fri, 06 Mar 2020 12:15:40 -0300

puppet (5.5.10-4) unstable; urgency=medium

  * Team upload.
  * Added a puppet-master.NEWS file, as suggested by the release team.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Jun 2019 11:44:21 +0200

puppet (5.5.10-3) unstable; urgency=medium

  * Team upload.
  * Add a cron.daily job to clean-up /var/lib/puppet/reports for any report
    that is older than 30 days to avoid filling-up a puppet-master hard drive
    until it's full (Closes: #930033).

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Jun 2019 10:24:27 +0200

puppet (5.5.10-2) unstable; urgency=medium

  * Make sure oj does not use BigDecimals on data load (Closes: #923976)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 12 Mar 2019 12:51:05 +0200

puppet (5.5.10-1) unstable; urgency=medium

  * New upstream bugfix release; see
    https://puppet.com/docs/puppet/5.5/release_notes.html#puppet-5510
  * Bump Standards-Version to 4.3.0; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 16 Jan 2019 10:56:17 +0200

puppet (5.5.8-1) unstable; urgency=medium

  * New upstream bugfix release; see
    https://puppet.com/docs/puppet/5.5/release_notes.html#puppet-557 and
    https://puppet.com/docs/puppet/5.5/release_notes.html#puppet-558
  * d/watch: only look for Puppet 5 versions for the time being
  * Override the source-contains-prebuilt-windows-binary lintian tag for
    ext/windows/eventlog/puppetres.dll. The DLL source is provided in
    ext/windows/eventlog/puppetres.mc.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 09 Nov 2018 09:33:05 +0200

puppet (5.5.6-1) unstable; urgency=medium

  * New upstream bugfix release; see
    https://puppet.com/docs/puppet/5.5/release_notes.html#puppet-556
  * Bump Standards-Version to 4.2.1; no changes needed
  * Refresh patches

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 29 Aug 2018 09:35:46 +0300

puppet (5.5.3-1) unstable; urgency=medium

  * New upstream bugfix release
  * Refresh patches

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 23 Jul 2018 23:39:45 +0300

puppet (5.5.2-2) unstable; urgency=medium

  * Build-Depend on ronn instead of ruby-ronn (Closes: #903290)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 08 Jul 2018 22:14:10 +0300

puppet (5.5.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump Standards-Version to 4.1.5; no changes needed
  * autopkgtest: completely disable the sysvinit tests, as I've found no
    reliable way of switching the testbed's init system on the fly
  * reproducible-build.patch: pass SOURCE_DATE_EPOCH to ronn

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 05 Jul 2018 16:17:42 +0300
