=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
  facter,
  rake,
  hiera,
- ruby-ronn,
+ ronn,
+ ruby-sync,
  yard,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/puppet-team/puppet.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/puppet
 Homepage: https://github.com/puppetlabs/puppet
@@ -31,6 +32,7 @@
  ruby | ruby-interpreter,
  ruby-deep-merge,
  ruby-shadow,
+ ruby-sync
 Recommends:
  debconf-utils,
  lsb-release,
