=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,10 @@
 	rm -vfr debian/tmp/usr/lib/ruby/vendor_ruby/puppet/vendor/deep_merge/
 	rm -vfr debian/tmp/usr/lib/ruby/vendor_ruby/puppet/vendor/pathspec/LICENSE
 
+override_dh_auto_build:
+	dh_auto_build
+	HOME=$$(mktemp -d) LC_ALL=C.UTF-8 rake gen_manpages
+
 override_dh_install:
 	dh_install --fail-missing -Xusr/share/man
 	mv debian/puppet-master-passenger/usr/share/puppet-master-passenger/example-passenger-vhost.conf \
@@ -37,6 +41,10 @@
 override_dh_clean:
 	dh_clean debian/puppet-common.logcheck.ignore.server metadata.yml
 
-override_dh_systemd_enable:
-	dh_systemd_enable -ppuppet --no-enable
-	dh_systemd_enable --remaining-packages
+override_dh_installinit:
+	dh_installinit -ppuppet -- defaults-disabled
+	dh_installinit --remaining-packages
+
+override_dh_installsystemd:
+	dh_installsystemd -ppuppet --no-enable
+	dh_installsystemd --remaining-packages
