## puppet 5.5.19

=== debian/changelog ===
puppet (5.5.19-1ubuntu2) groovy; urgency=medium

  * d/t/control: fix second dep8 test by telling it to not use a proxy
    for the "puppet" hostname, and allow stderr because of a ruby
    deprecation warning

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 07 Jul 2020 19:48:15 -0300

puppet (5.5.19-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control: generate a certificate for puppet master if it does not
      already exist, as it is needed by the tests (LP: 1869084).
    - d/p/fix-ruby27-warning.patch: Add patch to fix a warning when executed
      with Ruby 2.7. It fixes an autopkgtest regression in ruby-puppet-syntax.
    - d/t/control: add 'puppet' to $no_proxy variable in puppet-master-passenger
      test to let tests make requests to puppet master running locally
      (LP: 1869265).
  * Dropped:
    - Add build and runtime dependency on ruby-sync (LP: 1866417).
      [Fixed in version 5.5.19-1]
    - d/t/control: Add allow-stderr restriction to puppet master and puppet
      master passenger tests.
      [Not needed anymore]
  * Added:
    - Re-add debian/puppet-master.NEWS removed from the package by mistake.
      [Drop in the next merge]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 02 Jul 2020 19:15:29 -0300

puppet (5.5.19-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * New upstream bugfix release
  * d/control: Bump Standards-Version to 4.5.0; no changes needed
  * Bump dh compat to 12.
     - B-D on debhelper-compat (= 12)
     - d/rules: use dh_missing instead of dh_install --fail-missing
     - Add Pre-Depends: ${misc:Prepends} for dh_systemd
  * Refresh patches
  * Import upstream patch to remove stale 'sync' requirement (Ruby 2.7 compat,
    closes: #954284)
  * Drop transitional packages.
    The puppetmaster, puppetmaster-passenger and puppet-common packages
    have been transitional since Stretch, it's time to remove them.
    (Closes: #940760, #940761, #940762)
  * Use dh_installinit --no-enable instead of passing defaults-disabled to
    update-rc.d.
  * Remove obsolete debian/TODO.Debian
  * puppet-master: drop the START variable from the initscript and start the
    service by default under sysvinit (as we do under systemd).

  [ Antoine Beaupré ]
  * Fix mailing list address

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 19 Mar 2020 20:23:06 +0200
