## puppet 5.5.22

=== debian/changelog ===
puppet (5.5.22-2) unstable; urgency=medium

  * Add 0013-fix-SAFE-deprecation-warning.patch (Closes: #973248)

 -- Micah Anderson <micah@debian.org>  Sat, 20 Mar 2021 15:37:05 -0400

puppet (5.5.22-1) unstable; urgency=medium

  * New upstream bugfix release
  * Drop 0013-PUP-10586-Revert-PUP-10254-Make-default-environment-.patch;
    included upstream

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 25 Oct 2020 19:04:24 +0200

puppet (5.5.21-2) unstable; urgency=medium

  * Fix regression breaking puppet-rspec.
    Cherry-pick upstream commit 15baa1cc which will be part of 5.5.22.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 19 Oct 2020 08:44:32 +0300

puppet (5.5.21-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Re-added the puppet-master.NEWS, missing from 5.5.19-1 as I forgot to push
    to git.

  [ Apollon Oikonomopoulos ]
  * Update upstream source from tag 'upstream/5.5.21'
  * Refresh patches
  * Silence URI.escape deprecation warnings (Closes: #955532)
  * Reduce delta with Ubuntu package (see below); thanks to Lucas Kanashiro
    and Andreas Hasenack!

  [ Andreas Hasenack ]
  * d/t/control: add 'puppet' to $no_proxy variable in puppet-master-passenger
  * Add patch to fix a Ruby 2.7 warning

  [ Lucas Kanashiro ]
  * d/t/control: generate a certificate for puppet master if it does not exist

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 24 Sep 2020 15:06:35 +0300
