=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: puppet
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Puppet Package Maintainers <pkg-puppet-devel@alioth-lists.debian.net>
 Uploaders: Micah Anderson <micah@debian.org>,
  Andrew Pollock <apollock@debian.org>,
  Stig Sandbeck Mathisen <ssm@debian.org>,
  Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  facter,
  rake,
  hiera,
  ronn,
- ruby-sync,
  yard,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/puppet-team/puppet.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/puppet
 Homepage: https://github.com/puppetlabs/puppet
 
 Package: puppet
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  adduser,
  facter,
@@ -32,7 +31,6 @@
  ruby | ruby-interpreter,
  ruby-deep-merge,
  ruby-shadow,
- ruby-sync
 Recommends:
  debconf-utils,
  lsb-release,
@@ -57,6 +55,7 @@
 
 Package: puppet-master
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  puppet (= ${source:Version}),
  ruby | ruby-interpreter,
@@ -72,16 +71,9 @@
  which is suitable for small deployments. For larger deployments or if you wish
  to support Puppet 3 clients, puppet-master-passenger should be used instead.
 
-Package: puppetmaster
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends}, puppet-master
-Description: configuration management system, master service - transitional package
- This is a transitional package, superseded by puppet-master. It can safely be
- removed.
-
 Package: puppet-master-passenger
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  apache2,
  libapache2-mod-passenger,
@@ -98,18 +90,3 @@
  This package provides configuration for apache2 with mod_passenger,
  suitable for large deployments. This offers better scalability than
  the "puppet-master" package.
-
-Package: puppetmaster-passenger
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends}, puppet-master-passenger
-Description: configuration management system, scalable master service - transitional package
- This is a transitional package, superseded by puppet-master-passenger. It can
- safely be removed.
-
-Package: puppet-common
-Depends: puppet, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
