=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	HOME=$$(mktemp -d) LC_ALL=C.UTF-8 rake gen_manpages
 
 override_dh_install:
-	dh_install --fail-missing -Xusr/share/man
+	dh_install -Xusr/share/man
 	mv debian/puppet-master-passenger/usr/share/puppet-master-passenger/example-passenger-vhost.conf \
 	  debian/puppet-master-passenger/usr/share/puppet-master-passenger/apache2.site.conf.tmpl
 
@@ -38,11 +38,14 @@
 	find debian/puppet-common/usr/share/doc/puppet-common/examples -type f -print0 | \
 	  xargs -r -0 chmod 644
 
+override_dh_missing:
+	dh_missing --fail-missing -Xusr/share/man
+
 override_dh_clean:
 	dh_clean debian/puppet-common.logcheck.ignore.server metadata.yml
 
 override_dh_installinit:
-	dh_installinit -ppuppet -- defaults-disabled
+	dh_installinit -ppuppet --no-enable
 	dh_installinit --remaining-packages
 
 override_dh_installsystemd:
