=== debian/tests/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 Test-Command: cd debian/tests && (puppet cert print $(hostname --fqdn) >/dev/null 2>&1 || puppet cert generate $(hostname --fqdn) --dns_alt_names=puppet) && rspec spec/puppet-master/*_spec.rb
 Depends: puppet-master,ruby-serverspec
-Restrictions: needs-root,isolation-container,allow-stderr
+Restrictions: needs-root,isolation-container
 
 Test-Command: cd debian/tests && no_proxy=puppet,$no_proxy rspec spec/puppet-master-passenger/*_spec.rb
 Depends: puppet-master-passenger,ruby-serverspec,curl
-Restrictions: needs-root,isolation-container,allow-stderr
+Restrictions: needs-root,isolation-container
 
 Test-Command: cd debian/tests && ./service-setup systemd && rspec spec/service-systemd/*_spec.rb
 Depends: puppet, systemd-sysv, ruby-serverspec
